### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ActivatableWrapper

java.lang.Object
com.sas.services.deployment.ActivatableWrapper

@SASScope("ALL") @BinaryCompatibilityOnly public class ActivatableWrapper extends Object
Activatable wrapper used to register a description of a remoteable object with the RMI daemon, rmid.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActivatableWrapper(String securityPolicyFile, String location, String className, String bindName)`
  Constructor specifying a security policy file, class codebase, activatable class, and its bind name.
  `ActivatableWrapper(String securityPolicyFile, String location, String className, String bindName, Object marshalledDataObject, RMIConfiguration rmiConfiguration)`
  Constructor specifying a security policy file, class codebase, activatable class, and its bind name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Remote`
  `deploy()`
  Registers information about an activatable object with rmid and the rmiregistry.
  `final MarshalledObject`
  `getMarshalledData()`
  Gets the marshaled object.
  `final Object`
  `getMarshalledDataObject()`
  Gets the marshaled data object.
  `final void`
  `setMarshalledDataObject(Object data)`
  Sets data to be marshalled for use by the activatable object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ActivatableWrapper

    public ActivatableWrapper(String securityPolicyFile, String location, String className, String bindName) throws IOException
    Constructor specifying a security policy file, class codebase, activatable class, and its bind name.
    Parameters:
      `securityPolicyFile` - Security policy file.
      `location` - Codebase directory path.
      `className` - Activatable class name.
      `bindName` - Bind name.
    Throws:
      `IOException` - if an I/O anomaly is encountered.

  - ### ActivatableWrapper

    public ActivatableWrapper(String securityPolicyFile, String location, String className, String bindName, Object marshalledDataObject, RMIConfiguration rmiConfiguration) throws IOException
    Constructor specifying a security policy file, class codebase, activatable class, and its bind name. A optional marshaled object may be specified to designate an initialization data object. An RMI configuration is specified to designate the location of an RMI registry.
    Parameters:
      `securityPolicyFile` - Security policy file.
      `location` - Codebase directory path.
      `className` - Activatable class name.
      `bindName` - Bind name.
      `marshalledDataObject` - Marshaled data object or `null` if there is no initialization data object.
      `rmiConfiguration` - RMI configuration that defines the desired rmiregistry.
    Throws:
      `IOException` - if an I/O anomaly is encountered.

- ## Method Details

  - ### setMarshalledDataObject

    public final void setMarshalledDataObject(Object data) throws IOException
    Sets data to be marshalled for use by the activatable object.
    Parameters:
      `data` - Data to be marshaled.
    Throws:
      `IOException` - in unable to marshall the data object.

  - ### getMarshalledDataObject

    public final Object getMarshalledDataObject() throws ServiceException
    Gets the marshaled data object.
    Returns:
      Marshaled data object or `null` if no object is specified.
    Throws:
      `ServiceException` - if unable to obtain the marshalled data. This exception will be thrown in response to an IOException or ClassNotFoundException.

  - ### getMarshalledData

    public final MarshalledObject getMarshalledData() throws IOException
    Gets the marshaled object.
    Returns:
      Marshaled object.
    Throws:
      `IOException` - if an I/O issue is encountered.

  - ### deploy

    public Remote deploy() throws ServiceException
    Registers information about an activatable object with rmid and the rmiregistry.
    Returns:
      `Remote` object.
    Throws:
      `ServiceException` - if unable to deploy the service.